## Gog3DBox

Gog3DBox

## Properties

int | fov | Read / Write
int | phi | Read / Write
int | psi | Read / Write
int | theta | Read / Write

## Types and Values

#define | GOG_3D_BOX_TYPE
| Gog3DBox
| Gog3DBoxView

## Object Hierarchy

        GObject
        ├── GogObject
        │   ╰── Gog3DBox
        ╰── GogView
            ╰── Gog3DBoxView

## Description

## Functions

## Types and Values

### GOG_3D_BOX_TYPE

    #define GOG_3D_BOX_TYPE		(gog_3d_box_get_type ())

### Gog3DBox

    typedef struct _Gog3DBox Gog3DBox;

### Gog3DBoxView

    typedef struct _Gog3DBoxView Gog3DBoxView;

## Property Details

### The `“fov”` property

      “fov”                      int

Field of view.

Owner: Gog3DBox

Flags: Read / Write

Allowed values: [0,90]

Default value: 10

### The `“phi”` property

      “phi”                      int

Euler angle phi.

Owner: Gog3DBox

Flags: Read / Write

Allowed values: [0,360]

Default value: 270

### The `“psi”` property

      “psi”                      int

Euler angle psi.

Owner: Gog3DBox

Flags: Read / Write

Allowed values: [0,360]

Default value: 70

### The `“theta”` property

      “theta”                    int

Euler angle theta.

Owner: Gog3DBox

Flags: Read / Write

Allowed values: [0,360]

Default value: 10